Bug 46444 - cloning cloned sheet with autofilters corrupts the workbook
cloning cloned sheet with autofilters corrupts the workbook
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: HSSF
3.5-dev
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: POI Developers List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-12-29 21:14 UTC by Antti Koskimäki
Modified: 2012-08-29 12:02 UTC (History)
0 users



Attachments
source and excel to re-produce the bug (13.47 KB, application/zip)
2008-12-29 21:14 UTC, Antti Koskimäki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koskimäki 2008-12-29 21:14:12 UTC
Created attachment 23059 [details]
source and excel to re-produce the bug

Cloning "once" a sheet with autofilters is OK.

Cloning a cloned sheet without autofilters is OK.

But cloning a cloned sheet having autofilters causes workbook to corrupt.

Tested with latest r729456. Source and examples attached.

Got some old POI versions archived, and with r693203 my test case ended up in null pointer exception, but since r693221 results current behaviour.
Comment 1 Evgeniy Berlog 2012-08-19 14:51:47 UTC
This problem should be fixed in trunk.

Please try with a nightly build - see download links on http://poi.apache.org/
or build yourself from SVN trunk, see http://poi.apache.org/subversion.html
Comment 2 Antti Koskimäki 2012-08-29 12:02:31 UTC
(In reply to comment #1)
> This problem should be fixed in trunk.

Verified this, thanks. Good to see the older bugs getting bashed too!